---
title: Zone Transfers
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[DNS](https://developers.cloudflare.com/api/go/resources/dns)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Zone Transfers

#### Zone TransfersForce AXFR

##### [Force AXFR](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/force_axfr/methods/create)

client.DNS.ZoneTransfers.ForceAXFR.New(ctx, body) (\*[ForceAXFR](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.force_axfr%20%3E%20(model)%20force_axfr%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/secondary\_dns/force\_axfr

##### ModelsExpand Collapse

type ForceAXFR string

When force\_axfr query parameter is set to true, the response is a simple string.

[Link to this property](<#(resource)%20dns.zone_transfers.force_axfr%20%3E%20(model)%20force_axfr%20%3E%20(schema)>)

#### Zone TransfersIncoming

##### [Secondary Zone Configuration Details](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/incoming/methods/get)

client.DNS.ZoneTransfers.Incoming.Get(ctx, query) (\*[ZoneTransferIncomingGetResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20ZoneTransferIncomingGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/secondary\_dns/incoming

##### [Create Secondary Zone Configuration](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/incoming/methods/create)

client.DNS.ZoneTransfers.Incoming.New(ctx, params) (\*[ZoneTransferIncomingNewResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20ZoneTransferIncomingNewResponse%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/secondary\_dns/incoming

##### [Update Secondary Zone Configuration](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/incoming/methods/update)

client.DNS.ZoneTransfers.Incoming.Update(ctx, params) (\*[ZoneTransferIncomingUpdateResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20ZoneTransferIncomingUpdateResponse%20%3E%20(schema)>), error)

PUT/zones/{zone\_id}/secondary\_dns/incoming

##### [Delete Secondary Zone Configuration](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/incoming/methods/delete)

client.DNS.ZoneTransfers.Incoming.Delete(ctx, body) (\*[ZoneTransferIncomingDeleteResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20ZoneTransferIncomingDeleteResponse%20%3E%20(schema)>), error)

DELETE/zones/{zone\_id}/secondary\_dns/incoming

##### ModelsExpand Collapse

<details>

<summary>

type Incoming struct{…}

</summary>

ID stringOptional

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

AutoRefreshSeconds float64Optional

How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones.

minimum300

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20auto_refresh_seconds">Link to this property</a>

CheckedTime stringOptional

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

CreatedTime stringOptional

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

ModifiedTime stringOptional

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20modified_time">Link to this property</a>

Name stringOptional

Zone name.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Peers \[]stringOptional

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

SOASerial float64Optional

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.incoming%20%3E%20(model)%20incoming%20%3E%20(schema)>)

#### Zone TransfersOutgoing

##### [Primary Zone Configuration Details](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/get)

client.DNS.ZoneTransfers.Outgoing.Get(ctx, query) (\*[ZoneTransferOutgoingGetResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20ZoneTransferOutgoingGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/secondary\_dns/outgoing

##### [Create Primary Zone Configuration](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/create)

client.DNS.ZoneTransfers.Outgoing.New(ctx, params) (\*[ZoneTransferOutgoingNewResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20ZoneTransferOutgoingNewResponse%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/secondary\_dns/outgoing

##### [Update Primary Zone Configuration](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/update)

client.DNS.ZoneTransfers.Outgoing.Update(ctx, params) (\*[ZoneTransferOutgoingUpdateResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20ZoneTransferOutgoingUpdateResponse%20%3E%20(schema)>), error)

PUT/zones/{zone\_id}/secondary\_dns/outgoing

##### [Delete Primary Zone Configuration](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/delete)

client.DNS.ZoneTransfers.Outgoing.Delete(ctx, body) (\*[ZoneTransferOutgoingDeleteResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20ZoneTransferOutgoingDeleteResponse%20%3E%20(schema)>), error)

DELETE/zones/{zone\_id}/secondary\_dns/outgoing

##### [Disable Outgoing Zone Transfers](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/disable)

client.DNS.ZoneTransfers.Outgoing.Disable(ctx, body) (\*[DisableTransfer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20disable_transfer%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/secondary\_dns/outgoing/disable

##### [Enable Outgoing Zone Transfers](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/enable)

client.DNS.ZoneTransfers.Outgoing.Enable(ctx, body) (\*[EnableTransfer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20enable_transfer%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/secondary\_dns/outgoing/enable

##### [Force DNS NOTIFY](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/methods/force_notify)

client.DNS.ZoneTransfers.Outgoing.ForceNotify(ctx, body) (\*string, error)

POST/zones/{zone\_id}/secondary\_dns/outgoing/force\_notify

##### ModelsExpand Collapse

type DisableTransfer string

The zone transfer status of a primary zone.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20disable_transfer%20%3E%20(schema)>)

type EnableTransfer string

The zone transfer status of a primary zone.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20enable_transfer%20%3E%20(schema)>)

<details>

<summary>

type Outgoing struct{…}

</summary>

ID stringOptional

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

CheckedTime stringOptional

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20checked_time">Link to this property</a>

CreatedTime stringOptional

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20created_time">Link to this property</a>

LastTransferredTime stringOptional

The time for a specific event.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20last_transferred_time">Link to this property</a>

Name stringOptional

Zone name.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Peers \[]stringOptional

A list of peer tags.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20peers">Link to this property</a>

SOASerial float64Optional

The serial number of the SOA for the given zone.

<a href="#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)%20%3E%20(property)%20soa_serial">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing%20%3E%20(schema)>)

type OutgoingStatus string

The zone transfer status of a primary zone.

[Link to this property](<#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20outgoing_status%20%3E%20(schema)>)

#### Zone TransfersOutgoingStatus

##### [Get Outgoing Zone Transfer Status](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/outgoing/subresources/status/methods/get)

client.DNS.ZoneTransfers.Outgoing.Status.Get(ctx, query) (\*[EnableTransfer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.outgoing%20%3E%20(model)%20enable_transfer%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/secondary\_dns/outgoing/status

#### Zone TransfersACLs

##### [List ACLs](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/acls/methods/list)

client.DNS.ZoneTransfers.ACLs.List(ctx, query) (\*SinglePage\[[ACL](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/secondary\_dns/acls

##### [ACL Details](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/acls/methods/get)

client.DNS.ZoneTransfers.ACLs.Get(ctx, aclID, query) (\*[ACL](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/secondary\_dns/acls/{acl\_id}

##### [Create ACL](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/acls/methods/create)

client.DNS.ZoneTransfers.ACLs.New(ctx, params) (\*[ACL](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/secondary\_dns/acls

##### [Update ACL](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/acls/methods/update)

client.DNS.ZoneTransfers.ACLs.Update(ctx, aclID, params) (\*[ACL](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>), error)

PUT/accounts/{account\_id}/secondary\_dns/acls/{acl\_id}

##### [Delete ACL](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/acls/methods/delete)

client.DNS.ZoneTransfers.ACLs.Delete(ctx, aclID, body) (\*[ZoneTransferACLDeleteResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20ZoneTransferACLDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/secondary\_dns/acls/{acl\_id}

##### ModelsExpand Collapse

<details>

<summary>

type ACL struct{…}

</summary>

ID string

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

IPRange string

Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively.

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)%20%3E%20(property)%20ip_range">Link to this property</a>

Name string

The name of the acl.

<a href="#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.acls%20%3E%20(model)%20acl%20%3E%20(schema)>)

#### Zone TransfersPeers

##### [List Peers](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/peers/methods/list)

client.DNS.ZoneTransfers.Peers.List(ctx, query) (\*SinglePage\[[Peer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/secondary\_dns/peers

##### [Peer Details](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/peers/methods/get)

client.DNS.ZoneTransfers.Peers.Get(ctx, peerID, query) (\*[Peer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/secondary\_dns/peers/{peer\_id}

##### [Create Peer](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/peers/methods/create)

client.DNS.ZoneTransfers.Peers.New(ctx, params) (\*[Peer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/secondary\_dns/peers

##### [Update Peer](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/peers/methods/update)

client.DNS.ZoneTransfers.Peers.Update(ctx, peerID, params) (\*[Peer](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>), error)

PUT/accounts/{account\_id}/secondary\_dns/peers/{peer\_id}

##### [Delete Peer](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/peers/methods/delete)

client.DNS.ZoneTransfers.Peers.Delete(ctx, peerID, body) (\*[ZoneTransferPeerDeleteResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20ZoneTransferPeerDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/secondary\_dns/peers/{peer\_id}

##### ModelsExpand Collapse

<details>

<summary>

type Peer struct{…}

</summary>

ID string

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Name string

The name of the peer.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

IP stringOptional

IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20ip">Link to this property</a>

IxfrEnable boolOptional

Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20ixfr_enable">Link to this property</a>

Port float64Optional

DNS port of primary or secondary nameserver, depending on what zone this peer is linked to.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20port">Link to this property</a>

TSIGID stringOptional

TSIG authentication will be used for zone transfer if configured.

<a href="#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)%20%3E%20(property)%20tsig_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.peers%20%3E%20(model)%20peer%20%3E%20(schema)>)

#### Zone TransfersTSIGs

##### [List TSIGs](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/list)

client.DNS.ZoneTransfers.TSIGs.List(ctx, query) (\*SinglePage\[[TSIG](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/secondary\_dns/tsigs

##### [TSIG Details](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/get)

client.DNS.ZoneTransfers.TSIGs.Get(ctx, tsigID, query) (\*[TSIG](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/secondary\_dns/tsigs/{tsig\_id}

##### [Create TSIG](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/create)

client.DNS.ZoneTransfers.TSIGs.New(ctx, params) (\*[TSIG](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/secondary\_dns/tsigs

##### [Update TSIG](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/update)

client.DNS.ZoneTransfers.TSIGs.Update(ctx, tsigID, params) (\*[TSIG](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>), error)

PUT/accounts/{account\_id}/secondary\_dns/tsigs/{tsig\_id}

##### [Delete TSIG](https://developers.cloudflare.com/api/go/resources/dns/subresources/zone_transfers/subresources/tsigs/methods/delete)

client.DNS.ZoneTransfers.TSIGs.Delete(ctx, tsigID, body) (\*[ZoneTransferTSIGDeleteResponse](<https://developers.cloudflare.com/api/go/resources/dns#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20ZoneTransferTSIGDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/secondary\_dns/tsigs/{tsig\_id}

##### ModelsExpand Collapse

<details>

<summary>

type TSIG struct{…}

</summary>

ID string

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Algo string

TSIG algorithm.

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20algo">Link to this property</a>

Name string

TSIG key name.

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Secret string

TSIG secret.

<a href="#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns.zone_transfers.tsigs%20%3E%20(model)%20tsig%20%3E%20(schema)>)